export declare class TreeModel {
    root: any;
    treeLayout: any;
    svg: any;
    treeData: any;
    height: number;
    width: number;
    margin: any;
    duration: number;
    nodeWidth: number;
    nodeHeight: number;
    nodeRadius: number;
    horizontalSeparationBetweenNodes: number;
    verticalSeparationBetweenNodes: number;
    nodeTextDistanceY: string;
    nodeTextDistanceX: number;
    dragStarted: boolean;
    draggingNode: any;
    nodes: any[];
    selectedNodeByDrag: any;
    selectedNodeByClick: any;
    previousClickedDomNode: any;
    constructor();
    addSvgToContainer(chartContainer: any): void;
    setZoomBehaviour(): void;
    createLayout(): void;
    createTreeData(treeData: any): void;
    collapse(d: any): void;
    expand(d: any): void;
    expandAndFixHeight(d: any, newParent: any): void;
    update(source: any): void;
    setNodes(source: any, treeData: any): void;
    dragBehaviour(): any;
    overCircle(d: any): void;
    outCircle(d: any): void;
    setLinks(source: any, treeData: any): void;
    click(d: any, domNode: any): void;
    diagonalCurvedPath(s: any, d: any): string;
    radialPoint(x: any, y: any): number[];
    addNode(newNode: any): void;
    nodechanged(node: any): void;
    nodeselected(node: any): void;
}
